OGRE-Next: Ogre::CompositorPassIblSpecularDef Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::CompositorPassIblSpecularDef Class Reference
Core » Effects

`#include <OgreCompositorPassIblSpecularDef.h>`

Inheritance diagram for Ogre::CompositorPassIblSpecularDef:
[legend]

## Public Member Functions
| CompositorPassIblSpecularDef (CompositorNodeDef *parentNodeDef, CompositorTargetDef *parentTargetDef)
| ~CompositorPassIblSpecularDef ()
IdString | getInputTextureName () const
IdString | getOutputTextureName () const
void | setCubemapInput (const String &textureName)
void | setCubemapOutput (const String &textureName)
Public Member Functions inherited from Ogre::CompositorPassDef
| CompositorPassDef (CompositorPassType passType, CompositorTargetDef *parentTargetDef)
virtual | ~CompositorPassDef ()
const CompositorTargetDef * | getParentTargetDef () const
uint32 | getRtIndex () const
CompositorPassType | getType () const
void | setAllClearColours (const ColourValue &clearValue)
void | setAllLoadActions (LoadAction::LoadAction loadAction)
void | setAllStoreActions (StoreAction::StoreAction storeAction)

## Public Attributes
bool | mForceMipmapFallback
| Force this pass to behave like GENERATE_MIPMAPS, regardless of compute shader support.
Vector4 | mIblCorrectionVSH
| Value Saturation Hue.
CompositorNodeDef * | mParentNodeDef
float | mSamplesPerIteration
float | mSamplesSingleIterationFallback
| Value to use when we can't spread IBL generation over multiple frames (mNumInitialPasses != std::numeric_limits<uint32>::max()) due to GPU not having RSC_TYPED_UAV_LOADS.
Public Attributes inherited from Ogre::CompositorPassDef
ColourValue | mClearColour [OGRE_MAX_MULTIPLE_RENDER_TARGETS]
float | mClearDepth
uint32 | mClearStencil
bool | mColourWrite
| When false will not really bind the RenderTarget for rendering and use a null colour buffer instead.
uint8 | mExecutionMask
IdStringVec | mExposedTextures
bool | mFlushCommandBuffers
| Whether to flush the command buffer at the end of the pass.
uint32 | mIdentifier
| Custom value in case there's a listener attached (to identify the pass)
bool | mIncludeOverlays
| TODO: Refactor OgreOverlay to remove this design atrocity.
LoadAction::LoadAction | mLoadActionColour [OGRE_MAX_MULTIPLE_RENDER_TARGETS]
LoadAction::LoadAction | mLoadActionDepth
LoadAction::LoadAction | mLoadActionStencil
uint32 | mNumInitialPasses
| Number of times to perform the pass before stopping. -1 to never stop.
uint32 | mNumViewports
String | mProfilingId
bool | mReadOnlyDepth
bool | mReadOnlyStencil
bool | mShadowMapFullViewport
| Only used if mShadowMapIdx is valid (if pass is owned by Shadow Nodes).
uint32 | mShadowMapIdx
| Shadow map index it belongs to (only filled in passes owned by Shadow Nodes)
bool | mSkipLoadStoreSemantics
| Ignore mLoadAction*‍/mStoreAction*.
StoreAction::StoreAction | mStoreActionColour [OGRE_MAX_MULTIPLE_RENDER_TARGETS]
StoreAction::StoreAction | mStoreActionDepth
StoreAction::StoreAction | mStoreActionStencil
UavDependencyVec | mUavDependencies
uint8 | mViewportModifierMask
ViewportRect | mVpRect [16]
| Viewport's region to draw.
bool | mWarnIfRtvWasFlushed
| Will issue a warning (by raising an exception) if Ogre is forced to flush the RenderTarget, which is very bad for performance on mobile, and can cause serious performance problems in Desktop if using MSAA, and also cause correctness problems (i.e.

## Additional Inherited Members
Public Types inherited from Ogre::CompositorPassDef
typedef vector< UavDependency >::type | UavDependencyVec

## Constructor & Destructor Documentation

## ◆ CompositorPassIblSpecularDef()

Ogre::CompositorPassIblSpecularDef::CompositorPassIblSpecularDef | ( | CompositorNodeDef * | parentNodeDef,
|  | CompositorTargetDef * | parentTargetDef )
| inline

References Ogre::CompositorPassDef::CompositorPassDef(), mForceMipmapFallback, mIblCorrectionVSH, mParentNodeDef, mSamplesPerIteration, mSamplesSingleIterationFallback, and Ogre::PASS_IBL_SPECULAR.

## ◆ ~CompositorPassIblSpecularDef()

Ogre::CompositorPassIblSpecularDef::~CompositorPassIblSpecularDef | ( |  | ) |

## Member Function Documentation

## ◆ getInputTextureName()

IdString Ogre::CompositorPassIblSpecularDef::getInputTextureName | ( |  | ) | const
| inline

## ◆ getOutputTextureName()

IdString Ogre::CompositorPassIblSpecularDef::getOutputTextureName | ( |  | ) | const
| inline

## ◆ setCubemapInput()

void Ogre::CompositorPassIblSpecularDef::setCubemapInput | ( | const String & | textureName | ) |

Parameters

  textureName | Name of the texture (can come from input channel, local textures, or global ones)

## ◆ setCubemapOutput()

void Ogre::CompositorPassIblSpecularDef::setCubemapOutput | ( | const String & | textureName | ) |

## Member Data Documentation

## ◆ mForceMipmapFallback

bool Ogre::CompositorPassIblSpecularDef::mForceMipmapFallback

Force this pass to behave like GENERATE_MIPMAPS, regardless of compute shader support.

Referenced by CompositorPassIblSpecularDef().

## ◆ mIblCorrectionVSH

Vector4 Ogre::CompositorPassIblSpecularDef::mIblCorrectionVSH

Value Saturation Hue.

Referenced by CompositorPassIblSpecularDef().

## ◆ mParentNodeDef

CompositorNodeDef* Ogre::CompositorPassIblSpecularDef::mParentNodeDef

Referenced by CompositorPassIblSpecularDef().

## ◆ mSamplesPerIteration

float Ogre::CompositorPassIblSpecularDef::mSamplesPerIteration

Referenced by CompositorPassIblSpecularDef().

## ◆ mSamplesSingleIterationFallback

float Ogre::CompositorPassIblSpecularDef::mSamplesSingleIterationFallback

Value to use when we can't spread IBL generation over multiple frames (mNumInitialPasses != std::numeric_limits<uint32>::max()) due to GPU not having RSC_TYPED_UAV_LOADS.

Referenced by CompositorPassIblSpecularDef().

The documentation for this class was generated from the following file:

- OgreCompositorPassIblSpecularDef.h